Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.transaction
Class DummyTransaction

    java.lang.Object
      org.jboss.cache.transaction.DummyTransaction

All Implemented Interfaces:
  javax.transaction.Transaction

    public class DummyTransaction

extends java.lang.Object
implements javax.transaction.Transaction

Version:
  $Revision: 1.8 $ Date: May 15, 2003 Time: 4:20:17 PM
Author:
  bela

Constructor Summary
`DummyTransaction(DummyBaseTransactionManager tm)`

Method Summary
`void` | `commit()` Attempt to commit this transaction.
`boolean` | `delistResource(javax.transaction.xa.XAResource xaRes, int flag)` Delist an XA resource from this transaction.
`boolean` | `enlistResource(javax.transaction.xa.XAResource xaRes)` Enlist an XA resource with this transaction.
`int` | `getStatus()` Get the status of the transaction.
`void` | `registerSynchronization(javax.transaction.Synchronization sync)` Register a `Synchronization` callback with this transaction.
`void` | `rollback()` Rolls back this transaction.
`void` | `setRollbackOnly()` Mark the transaction so that the only possible outcome is a rollback.
`void` | `setTransactionTimeout(int seconds)` Change the transaction timeout for transactions started by the calling thread with the `DummyBaseTransactionManager.begin()` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyTransaction

    public DummyTransaction(DummyBaseTransactionManager tm)

Method Detail

### commit

    public void commit()
                throws javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.SecurityException,
                       javax.transaction.SystemException

  Attempt to commit this transaction.

  Specified by:
    `commit` in interface `javax.transaction.Transaction`
  Throws:
    `javax.transaction.RollbackException` - If the transaction was marked for rollback only, the transaction is rolled back and this exception is thrown.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.
    `javax.transaction.HeuristicMixedException` - If a heuristic decision was made and some some parts of the transaction have been committed while other parts have been rolled back.
    `javax.transaction.HeuristicRollbackException` - If a heuristic decision to roll back the transaction was made.
    `java.lang.SecurityException` - If the caller is not allowed to commit this transaction.

### rollback

    public void rollback()
                  throws java.lang.IllegalStateException,
                         javax.transaction.SystemException

  Rolls back this transaction.

  Specified by:
    `rollback` in interface `javax.transaction.Transaction`
  Throws:
    `java.lang.IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Mark the transaction so that the only possible outcome is a rollback.

  Specified by:
    `setRollbackOnly` in interface `javax.transaction.Transaction`
  Throws:
    `java.lang.IllegalStateException` - If the transaction is not in an active state.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### getStatus

    public int getStatus()
                  throws javax.transaction.SystemException

  Get the status of the transaction.

  Specified by:
    `getStatus` in interface `javax.transaction.Transaction`
  Returns:
    The status of the transaction. This is one of the `Status` constants.
  Throws:
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws javax.transaction.SystemException

  Change the transaction timeout for transactions started by the calling thread with the `DummyBaseTransactionManager.begin()` method.

  Parameters:
    `seconds` - The new timeout value, in seconds. If this parameter is `0`, the timeout value is reset to the default value.
  Throws:
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### enlistResource

    public boolean enlistResource(javax.transaction.xa.XAResource xaRes)
                           throws javax.transaction.RollbackException,
                                  java.lang.IllegalStateException,
                                  javax.transaction.SystemException

  Enlist an XA resource with this transaction.

  Specified by:
    `enlistResource` in interface `javax.transaction.Transaction`
  Returns:
    `true` if the resource could be enlisted with this transaction, otherwise `false`.
  Throws:
    `javax.transaction.RollbackException` - If the transaction is marked for rollback only.
    `java.lang.IllegalStateException` - If the transaction is in a state where resources cannot be enlisted. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### delistResource

    public boolean delistResource(javax.transaction.xa.XAResource xaRes,
                                  int flag)
                           throws java.lang.IllegalStateException,
                                  javax.transaction.SystemException

  Delist an XA resource from this transaction.

  Specified by:
    `delistResource` in interface `javax.transaction.Transaction`
  Returns:
    `true` if the resource could be delisted from this transaction, otherwise `false`.
  Throws:
    `java.lang.IllegalStateException` - If the transaction is in a state where resources cannot be delisted. This could be because the transaction is no longer active.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### registerSynchronization

    public void registerSynchronization(javax.transaction.Synchronization sync)
                                 throws javax.transaction.RollbackException,
                                        java.lang.IllegalStateException,
                                        javax.transaction.SystemException

  Register a `Synchronization` callback with this transaction.

  Specified by:
    `registerSynchronization` in interface `javax.transaction.Transaction`
  Throws:
    `javax.transaction.RollbackException` - If the transaction is marked for rollback only.
    `java.lang.IllegalStateException` - If the transaction is in a state where `Synchronization` callbacks cannot be registered. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.